REMAP_VMALLOC_RANGE(9)

NAME
remap_vmalloc_range - map vmalloc pages to userspace

SYNOPSIS

int remap_vmalloc_range(struct vm_area_struct * vma, void * addr, unsigned long pgoff);

ARGUMENTS

vma
    vma to cover (map full range of vma)

addr
    vmalloc memory

pgoff
    number of pages into addr before first page to map

RETURNS

0 for success, -Exxx on failure

This function checks that addr is a valid vmalloc'ed area, and that it is big enough to cover the vma. Will return failure if that criteria isn't met.

Similar to remap_pfn_range (see mm/memory.c)

COPYRIGHT